Function
extendSeedScore
Extends a seed and increases the score.
extendSeedScore(seed, score, query, database, direction, tag)
extendSeedScore(seed, score, scoreDropOff, scoreMatrix, query, database, direction, tag)
Include Headers
seqan/seeds.h
Parameters

seed | The seed to extend. Types: Seed
score | A reference to the score of the seed. This will be increased by the score of the extension.
query | The query sequence. The database sequence. Types: String, String
direction | Defines the direction in which the seed should be extended. 0 = left, 1 = right, 2 = both
scoreDropOff | The score drop after which the extension should stop. The extension stops if this value is exceeded. Remarks: Only used for the algorithms UngappedXDrop and GappedXDrop
scoreMatrix | The scoring scheme. Types: Simple Score Remarks: Only used for the algorithms UngappedXDrop and GappedXDrop
tag | The algorithm to use. Types: GappedXDrop, MatchExtend, UngappedXDrop

See Also
Seed Extension
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47